/**
 * A leg is a straight segment in a trace. It has a starting coordinate,
 * a course, and a length measured in nautical miles.
 * 
 * @author Uno Holmer
 * @version 2009-12-01
 */
public class Leg implements Cloneable
{
    private GeoPosition startPos;
    private int course;
    private float length;

    public Leg() {
        startPos = GeoPosition.vingaLighthouse;
        course = 0;
        length = 0;
    }
    
    // Should this also clone startPos? 
    public Leg(GeoPosition startPos,int course,float length)
    {
        this.startPos = startPos;
        this.course = course;
        this.length = length;
    }
       
    @Override
    public Leg clone() {
        Leg copy = null;
        try {
            copy = (Leg)super.clone();
        }
        catch (CloneNotSupportedException e) {
            throw new InternalError();
        }
        copy.startPos = startPos.clone();
        return copy;
    }
    
    public GeoPosition getStartPos()
    {
        return startPos;
    }

    public int getCourse()
    {
        return course;
    }
    
    public float getLength()
    {
        return length;
    }
}
